Page Menu
Home
Phorge
Search
Configure Global Search
Log In
Files
F117752592
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Authored By
Unknown
Size
1 KB
Referenced Files
None
Subscribers
None
View Options
diff --git a/bin/quickstart.sh b/bin/quickstart.sh
index 15370521..14634a40 100755
--- a/bin/quickstart.sh
+++ b/bin/quickstart.sh
@@ -1,22 +1,64 @@
#!/bin/bash
+set -e
+
+function die() {
+ echo "$1"
+ exit 1
+}
+
+rpm -qv composer >/dev/null 2>&1 || \
+ test ! -z "$(which composer 2>/dev/null)" || \
+ die "Is composer installed?"
+
+rpm -qv docker-compose >/dev/null 2>&1 || \
+ test ! -z "$(which docker-compose 2>/dev/null)" || \
+ die "Is docker-compose installed?"
+
+rpm -qv npm >/dev/null 2>&1 || \
+ test ! -z "$(which npm 2>/dev/null)" || \
+ die "Is npm installed?"
+
+rpm -qv php >/dev/null 2>&1 || \
+ test ! -z "$(which php 2>/dev/null)" || \
+ die "Is php installed?"
+
+rpm -qv php-ldap >/dev/null 2>&1 || \
+ test ! -z "$(php --ini | grep ldap)" || \
+ die "Is php-ldap installed?"
+
+rpm -qv php-mysqlnd >/dev/null 2>&1 || \
+ test ! -z "$(php --ini | grep mysql)" || \
+ die "Is php-mysqlnd installed?"
+
base_dir=$(dirname $(dirname $0))
bin/regen-certs
+docker pull kolab/centos7:latest
+
docker-compose down
docker-compose build
-docker-compose up -d
+
+docker-compose up -d kolab mariadb redis
pushd ${base_dir}/src/
composer install
npm install
+find bootstrap/cache/ -type f ! -name ".gitignore" -delete
cp .env.example .env
./artisan key:generate
./artisan jwt:secret -f
+./artisan clear-compiled
+./artisan cache:clear
npm run dev
+popd
+
+docker-compose up -d worker
+
+pushd ${base_dir}/src/
rm -rf database/database.sqlite
-touch database/database.sqlite
-./artisan migrate:refresh --seed
+php -dmemory_limit=512M ./artisan migrate:refresh --seed
./artisan serve
popd
+
File Metadata
Details
Attached
Mime Type
text/x-diff
Expires
Sat, Apr 4, 4:23 AM (47 m, 53 s ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
18817083
Default Alt Text
(1 KB)
Attached To
Mode
rK kolab
Attached
Detach File
Event Timeline